#  $Id: README 142 2005-09-13 21:16:23Z henning $

PyCoCuMa README
---------------
PyCoCuMa (Pythonic Contact and Customer Management) provides an personal
information system for addresses, telephone numbers and other data associated
with personal contacts.

PyCoCuMa is purely written in Python with a Tk graphical interface.  PyCoCuMa
is based on an XML-RPC client-server architecture. The server stores it's data
in compatible vCard (ver. 3.0) files (*.vcf) which can be read by all modern
address programs (Evolution, KAddressbook, Outlook, GnomeCard, etc).

For Installation Instructions see the file named 'INSTALL'.

You can..
..open vCard files directly or over PyCoCuMa's XML-RPC server
..define unlimited mail/email-addresses and tel-numbers for a contact
..designate addresses/tel-numbers as 'preferred', 'home', 'work', 'mobile', etc
..filter the contact list by category (e.g. 'Business', 'Personal', ..)
..search in all vCard fields for regular expressions ("Query"->"Find Contact.." or CTRL-F)
..start your favourite mail-agent or web-browser by clicking on an Email/URL
..get a list of persons birthdays ("Query"->"Birthdays")
..export your contacts to CSV files (KSpread and Microsoft Excel compatible).
..import from CSV files
..create a PDF document (for print-out) via LaTeX ("File"->"Page View")
..keep a journal of actions (Appointments, Phone Calls, etc; with calendar)
..compose letters (requires pdfLaTeX)
..stick photo images (e.g. JPEG) to vCards (requires PIL)
..do a lot more ;-)

CONFIGURATION:

PyCoCuMa stores it's preferences in ~/.pycocuma (INI-File) by default.
Leave the option "url_viewer" blank to use Python's internal 'Webbrowser'
interface-module.  Set "autostart_server" to "yes" (this is the default) if you
are using PyCoCuMa only locally and don't wan't to hassle with the server (you
could also start the server at boot time or run it on another machine).

COMMAND-LINE OPTIONS:

Usage: pycocuma [options] [connection-string]

   connection-string  addressbook filename / server url
   -h   or --help     show this help
   -c   or --config   location of configuration file (default: ~/.pycocuma)
           --noconf   do not save configuration / preferences
   -t   or --type     connection type: xmlrpc or file (default: file)
           --finder   open QuickFinder
           --import   import from file/stdin (-) (e.g. vcard:/tmp/John.vcf)
           --export   export to file or stdout (e.g. latex:-)

Example:
   'pycocuma --type=file ./addressbook.vcf' will open the file
   ./addressbook.vcf from disk without starting any server.

PyCoCuMa was programmed by Henning Jacobs <henning@jacobs1.de>.
PyCoCuMa's Homepage: http://www.srcco.de
